Subject: Re: ABORT from IPv6's socket API

From: Randall Stewart <[email-masked]>
Date: Mon, 13 Jun 2005 15:57:27 -0400

Chiba, Hirotsugu wrote:
> Hi Randall-san et al,
> 
> ABORT from IPv6's close() with SO_LINGER option is supported at KAME's
> latest snap?
> I don't see "SO_LINGER" in sctp6_disconnect()...
> 
> TIA,
> 
> hiro chiba
> 
Chiba-san:

You are correct... this is a bug.. and in looking
I think some lock's are also missing..

I will see if I can't find some cycles tonight
to fix this :-D

I have a large patch already that needs to get
generated for KAME... the current code for 5.4 needs
many fixes....

R

-- 
Randall Stewart
ITD - Cisco Systems Inc.
803-345-0369 <or> 815-342-5222 (cell)